org.eclipse.gef.dot.internal.ui.language.highlighting

## Class DotHtmlLabelSemanticHighlightingCalculator

- java.lang.Object
- - org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultSemanticHighlightingCalculator
  - - org.eclipse.gef.dot.internal.ui.language.highlighting.DotHtmlLabelSemanticHighlightingCalculator

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingCalculator

    public class DotHtmlLabelSemanticHighlightingCalculator
    extends org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultSemanticHighlightingCalculator

### Constructor Summary

Constructors
Constructor and Description
`DotHtmlLabelSemanticHighlightingCalculator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doProvideHighlightingFor(org.eclipse.xtext.resource.XtextResource resource, org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightedPositionAcceptor acceptor)`

### Methods inherited from class org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultSemanticHighlightingCalculator

`highlightElement, highlightElementRecursively, highlightFeature, highlightNode, highlightTasks, provideHighlightingFor, searchAndHighlightElements`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotHtmlLabelSemanticHighlightingCalculator

    public DotHtmlLabelSemanticHighlightingCalculator()

### Method Detail

#### doProvideHighlightingFor

    public void doProvideHighlightingFor(org.eclipse.xtext.resource.XtextResource resource,
                                         org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightedPositionAcceptor acceptor)

Overrides:
  `doProvideHighlightingFor` in class `org.eclipse.xtext.ui.editor.syntaxcoloring.DefaultSemanticHighlightingCalculator`